Orders
View as MarkdownPost-purchase order retrieval.
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token presented through Authorization: Bearer $GODADDY_PAT.
The PAT must include the scope documented for the operation.
In: header
Path Parameters
id*string
Unique order identifier.
Header Parameters
Request-Id*string
For tracing the request across network layers and components.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/orders/string" \ -H "Request-Id: 6ba7b810-9dad-41d1-80b4-00c04fd430c8"{ "ucp": { "version": "2026-04-08", "capabilities": { "dev.ucp.shopping.order": [ { "version": "2026-04-08" } ] } }, "id": "12345", "checkout_id": "d9cf79e3-b39b-4e58-8f30-ddfe1619e969", "permalink_url": "https://account.godaddy.com/receipts/view/12345", "line_items": [ { "id": "oli_1", "item": { "id": "hosting-deluxeapi:1mo", "title": "Web Hosting Deluxe — 1 Month", "price": 1099 }, "quantity": { "total": 1, "fulfilled": 1 }, "totals": [ { "type": "subtotal", "amount": 1099 }, { "type": "total", "amount": 1099 } ], "status": "fulfilled" } ], "fulfillment": { "expectations": [ { "id": "exp_1", "line_items": [ { "id": "oli_1", "quantity": 1 } ], "method_type": "digital", "description": "Digital product fulfillment.", "fulfillable_on": "now" } ] }, "currency": "USD", "totals": [ { "type": "subtotal", "amount": 1099 }, { "type": "total", "amount": 1099 } ]}Last updated on
How is this guide?